Forum Stats

  • 3,723,348 Users
  • 2,244,533 Discussions
  • 7,850,425 Comments

Discussions

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Installation of Enterprise Manager 13.3 with repository database on Oracle database 19.4 stuck at 50

Werner Maes
Werner Maes Member Posts: 7 Red Ribbon
edited September 2019 in Enterprise Manager

Hello

I'm trying to install Enterprise Manager 13.3.0.0 with the repository database being an Oracle 19.4.0.0 database.

But it always stops at 50% with the log file showing (see below).

Does anyone have any idea?

Kind regards

Werner

INFO: oracle.sysman.top.oms:EMSCHEMA MANAGER: [email protected]

INFO: oracle.sysman.top.oms:The required parameters are set for schemamanager

INFO: oracle.sysman.top.oms:Starting both repos upgrade and transx loading in parallel

INFO: oracle.sysman.top.oms:EMSCHEMA MANAGER: create [email protected]

INFO: oracle.sysman.top.oms:create_process_id:wk7luzms85dk

INFO: oracle.sysman.top.oms:The command run for transx is /usr/local/oragc/em13_oms/sysman/admin/emdrep/bin/RepManager -connect (DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=myhost)(PORT=myport)))(CONNECT_DATA=(SID=mydatabase))) -action transx  -repos_user SYSMAN -dbUser SYS -mwHome /usr/local/oragc/em13_oms -mwOraHome /usr/local/oragc/em13_oms

INFO: oracle.sysman.top.oms:processing arguments

INFO: oracle.sysman.top.oms:compiling arguments for validation

INFO: oracle.sysman.top.oms:stty: standard input: Inappropriate ioctl for device

INFO: oracle.sysman.top.oms:stty: standard input: Inappropriate ioctl for device

INFO: oracle.sysman.top.oms: Enter SYSMAN user password   :

INFO: oracle.sysman.top.oms:stty: standard input: Inappropriate ioctl for device

INFO: oracle.sysman.top.oms:stty: standard input: Inappropriate ioctl for device

INFO: oracle.sysman.top.oms:Verify :

INFO: oracle.sysman.top.oms:Enter password for: SYSMAN

INFO: oracle.sysman.top.oms:   process_id:1sebo4e08uom4

INFO: oracle.sysman.top.oms:[Initializing the EM RCU Runner, Running the Schema Action, Schema Action Completed Successfully]

INFO: oracle.sysman.top.oms:The transx command execution completed with the status 0.

INFO: oracle.sysman.top.oms:process_id:wk7luzms85dk

INFO: oracle.sysman.top.oms:Still Running...

INFO: oracle.sysman.top.oms:Still Running...

INFO: oracle.sysman.top.oms:Still Running...

INFO: oracle.sysman.top.oms:Still Running...

INFO: oracle.sysman.top.oms:Still Running...

these INFO messages go on forever...

on the CLI the following appearts

End of install phases.(Thursday, September 12, 2019 4:26:44 PM CEST)

OMS OracleHome :/usr/local/oragc/em13_oms

13NGCHEKAGGREGATE  : encap_oms

13NGCHEKAGGREGATE  : OuiConfigVariables

13NGCHEKAGGREGATE  : OuiConfigVariables

13NGCHEKAGGREGATE  : oracle.sysman.top.oms

13NGCHEKAGGREGATE  : oracle.sysman.top.agent

Setting the value of EMPREREQKIT_RESULTDIR /usr/local/oragc/em13_oms/.gcinstall_temp

Processing command line ....

Repository Creation Utility - Checking Prerequisites

Checking Global Prerequisites

Repository Creation Utility - Checking Prerequisites

Checking Component Prerequisites

Repository Creation Utility - Creating Tablespaces

Validating and Creating Tablespaces

Repository Creation Utility - Create

Repository Create in progress.

EliazAnsari-Oraclemashat369-Oracle

Answers

  • Markus Flechtner
    Markus Flechtner Member Posts: 501 Bronze Trophy
    edited September 2019

    Are there any messages in the alert.log of the database instance?

    Regards

    Markus

  • Werner Maes
    Werner Maes Member Posts: 7 Red Ribbon
    edited September 2019

    Update:

    Doc ID 2541711.1 says:

    Beginning with EM 13.3 Plugin Update (PG) Release, Database version 19c is supported as both a Repository Database and a Managed Target Database.  With EM 13.3 PG release you need to install the 13.3.2.0.0 Database Plugin which is required if you are using the 19c Database.

    But I have no idea where to download the EM 13.3 PG release?

    https://www.oracle.com/enterprise-manager/downloads/cloud-control-v133-downloads.html

    https://docs.oracle.com/en/enterprise-manager/cloud-control/enterprise-manager-cloud-control/13.3.1/emupg/upgrading-oracle-management-service-and-oracle-management-repository-13c-release-3.html

    I'll give it a try:

    Oracle Enterprise Manager Cloud Control 13.3 Upgrade

    Post 13.3 release, we have revised few plug-ins and released 13.3PG Plug-in only update and you can download the 13.3 PG plug-ins from this page and use it along with the install/upgrade process. Details instructions on how to use the plug-in along with upgrade process is detailed here.

    In order to upgrade from EM versions 12.1.0.5, 13.1.0.0, 13.2.0.0 to EM13.3.0.0 there is no need to apply any Pre-upgrade console patch or download any 13.3.0.0 Agent Binaries from OTN.

    If you have enabled BI Publisher, refer to the load balancer configuration changes here.

    If you have deployed any of the plug-ins listed on this page, please download & stage the latest 13c compatible version prior to starting the upgrade process. Detailed instructions are available in the ‘Cloud Control Upgrade Guide’ here.

  • Werner Maes
    Werner Maes Member Posts: 7 Red Ribbon
    edited September 2019

    Hello Markus

    No errors in the alert.log.

    Maybe I need to have the  13.3.2 DB plugin

    NFO: oracle.sysman.top.oms:Log file: /usr/local/oragc/em13_oms/cfgtoollogs/pluginca/gcinstall/configplugin_prereq_check_2019-09-12_16-31-24.log

    INFO: oracle.sysman.top.oms:Trace file: /usr/local/oragc/em13_oms/cfgtoollogs/pluginca/gcinstall/configplugin_prereq_check_2019-09-12_16-31-24.trc

    INFO: oracle.sysman.top.oms:Initializing PluginCA.

    INFO: oracle.sysman.top.oms:Options passed: -loglevel debug -oraclehome /usr/local/oragc/em13_oms -middlewarehome /usr/local/oragc/em13_oms -action prereqcheck -plugins oracle.sysman.cfw=13.3.1.0.0,oracle.sysman.db=13.3.1.0.0,oracle.s

    ysman.xa=13.3.1.0.0,oracle.sysman.emas=13.3.1.0.0,oracle.sysman.si=13.3.1.0.0,

    The log file /usr/local/oragc/em13_oms/cfgtoollogs/pluginca/gcinstall/configplugin_prereq_check_2019-09-12_16-31-24.log shows:

    2019-09-12 16:31:24,078 [main] WARN  pluginca.PluginCADriver - ---Plugins On Which Action "Prereq check" Is To Be Performed---

    2019-09-12 16:31:24,078 [main] WARN  pluginca.PluginCADriver -            oracle.sysman.cfw=13.3.1.0.0

    2019-09-12 16:31:24,078 [main] WARN  pluginca.PluginCADriver -            oracle.sysman.db=13.3.1.0.0

    2019-09-12 16:31:24,078 [main] WARN  pluginca.PluginCADriver -            oracle.sysman.xa=13.3.1.0.0

    2019-09-12 16:31:24,078 [main] WARN  pluginca.PluginCADriver -            oracle.sysman.emas=13.3.1.0.0

    2019-09-12 16:31:24,078 [main] WARN  pluginca.PluginCADriver -            oracle.sysman.si=13.3.1.0.0

    2019-09-12 16:31:24,078 [main] WARN  pluginca.PluginCADriver - ---------------------------------------------------------------

    2019-09-12 16:31:24,078 [main] WARN  pluginca.PluginCADriver -

    2019-09-12 16:31:24,164 [main] WARN  deploymentservice.EMPluginDeploymentUtil - No OMS name property passed. Assuming there is only one entry in emInstanceMapping.properties.

    2019-09-12 16:31:24,178 [main] WARN  deploymentservice.EMPluginDeploymentUtil - No OMS name property passed. Assuming there is only one entry in emInstanceMapping.properties.

    2019-09-12 16:31:25,554 [main] WARN  deploymentservice.EMPluginDeploymentUtil - No OMS name property passed. Assuming there is only one entry in emInstanceMapping.properties.

    2019-09-12 16:31:25,568 [main] WARN  deploymentservice.EMPluginDeploymentUtil - Connection is null or this is for undeployment: false. shouldOMSBounce returning true

    2019-09-12 16:31:25,718 [main] WARN  pluginca.PluginCADriver - External artifact modules/oracle.ess.admin_12.1.3/ess-admin.jar required by plug-in could not be found at /usr/local/oragc/em13_oms/plugins_common/modules/oracle.ess.admin_12.1.3/ess-admin.jar. Looking under oracle_common instead

    java.io.FileNotFoundException: File /usr/local/oragc/em13_oms/plugins_common/modules/oracle.ess.admin_12.1.3/ess-admin.jar not found

            at oracle.sysman.core.common.extensibility.pluginca.PreDeploySanityChecker.run(PreDeploySanityChecker.java:285)

            at oracle.sysman.core.common.extensibility.pluginca.PluginCA.preqreqCheck(PluginCA.java:854)

            at oracle.sysman.core.common.extensibility.pluginca.PluginCA.configure(PluginCA.java:379)

            at oracle.sysman.core.common.extensibility.pluginca.PluginCADriver.initPluginCA(PluginCADriver.java:2336)

            at oracle.sysman.core.common.extensibility.pluginca.PluginCADriver.beginConfig(PluginCADriver.java:1276)

            at oracle.sysman.core.common.extensibility.pluginca.PluginCADriver.main(PluginCADriver.java:2608)

    2019-09-12 16:31:25,718 [main] WARN  pluginca.PluginCADriver - External artifact modules/oracle.ess.dc_12.1.3/oracle.ess.dc.webapp.war required by plug-in could not be found at /usr/local/oragc/em13_oms/plugins_common/modules/oracle.ess.dc_12.1.3/oracle.ess.dc.webapp.war. Looking under oracle_common instead

    java.io.FileNotFoundException: File /usr/local/oragc/em13_oms/plugins_common/modules/oracle.ess.dc_12.1.3/oracle.ess.dc.webapp.war not found

            at oracle.sysman.core.common.extensibility.pluginca.PreDeploySanityChecker.run(PreDeploySanityChecker.java:285)

            at oracle.sysman.core.common.extensibility.pluginca.PluginCA.preqreqCheck(PluginCA.java:854)

            at oracle.sysman.core.common.extensibility.pluginca.PluginCA.configure(PluginCA.java:379)

            at oracle.sysman.core.common.extensibility.pluginca.PluginCADriver.initPluginCA(PluginCADriver.java:2336)

            at oracle.sysman.core.common.extensibility.pluginca.PluginCADriver.beginConfig(PluginCADriver.java:1276)

            at oracle.sysman.core.common.extensibility.pluginca.PluginCADriver.main(PluginCADriver.java:2608)

  • Werner Maes
    Werner Maes Member Posts: 7 Red Ribbon
    edited September 2019

    Well adding the plugin 13.3.2.0.0_oracle.sysman.db_2000_0.opar (1910353393 bytes) (cksum - 91142283) does not work either: same result.

    ./13.3/em13300_linux64.bin PLUGIN_LOCATION=./13.3/

  • Werner Maes
    Werner Maes Member Posts: 7 Red Ribbon
    edited September 2019

    I've opened a SR. I'll keep you informed if I can find a cause/solution.

    Werner

    EliazAnsari-Oracle
  • EliazAnsari-Oracle
    EliazAnsari-Oracle Member Posts: 252 Employee
    edited September 2019

    Hello Werner ,

    Can you please share the sr number alone.

    Kindest Regards,
    Ansari

  • Werner Maes
    Werner Maes Member Posts: 7 Red Ribbon
    edited September 2019

    SR 3-21009483341

    EliazAnsari-Oracle
  • Werner Maes
    Werner Maes Member Posts: 7 Red Ribbon
    edited September 2019

    Hello

    I can confirm that installing EM 13.3 PG works fine with repository database on Oracle DB 19.3.0.0.

    So the problems only occurs when you use an Oracle DB 19.4.0.0

  • User_1NNXO
    User_1NNXO Member Posts: 2 Green Ribbon

    I am experiencing the above error with oracle db 19.3. Did you do anything to resolve the above issue?

  • User_1NNXO
    User_1NNXO Member Posts: 2 Green Ribbon

    I am experiencing the above error with oracle db 19.3. Did you do anything to resolve the above issue?

Sign In or Register to comment.